質問は基本的に1スレッドにつき1つの内容でお願いします。

お問い合わせの際は下記の情報を明記をお願いいたします。

▼ソフトウェアに関するご質問の場合

・【問題が発生したソフトウェア名とバージョン】(例:Cubism Editor 3.1.02、Euclid Editor 1.2.0 など)
・【ご利用のPC環境】例:Windows10、macOS HighSierra など
・【グラフィックボード】例:GeForce GTX 950M など
・【メモリ】例:8GB
・【原画(イラスト)を制作したソフトウェア】例:Photoshop , CLIP STUDIO , SAI など
・【問い合わせ内容がわかるスクリーンショットまたは動画】

---------------------------

▼SDKに関するご質問の場合

・現象の再現を行い検証させていただきますので、再現する最小のプロジェクトのご提供か、再現するまでの手順
・使用したSDKのバージョン

Live2D SDK Flash 1.0.03でパブリッシュすると[VerifyError: Error #1014]エラーが出る

初めまして、ネコガネと申します。
皆様、Live 2D Creative Awardお疲れさまでした :)

表題の件なのですが、Live2D SDK Flash で、
2014/04/21に更新された 「1.0.03_1」の「live2d_flash.swc」を使用してパブリッシュすると
以下のエラーが出てしまい、SWFファイルを作成できません。

----------------
VerifyError: Error #1014: クラス _-29::_-3X が見つかりません。
----------------

IDEは、Flash Builder 4.7を使用し、
サンプルの[SampleApp1]、[Simple]のプロジェクトを読み込んでパブリッシュしています。



また、画像のようにプロジェクトフォルダの横に警告マークが出ており、
問題の内容を確認したところ、SDKのSWCファイルに含まれているはずのクラスが
見つからないと表示されておりました。






問題のなかった「1.0.02_1」とクラスの数比べてみますと、
最新のSWCファイルには
[base]
[context]
[draw]
[vector.path]
[mx.core]
が含まれていないようです。

アプリ開発のために最新のSDKを使用させていただきたいため、
お手数おかけしますがご修正いただけますと幸いです。

何卒、よろしくお願いいたします。
Tagged:

コメント

  • ネコガネさん、はじめまして。

    報告ありがとうございます。
    不具合の内容を確認いたしました。
    この件は次回のSDK更新の際に修正させていただきます。
    1.0.02_1 - 1.0.03_1間で機能の変更はございませんので、
    更新までの間は1.0.02_1のバージョンをお使いいただけますでしょうか。
  • y_a_s_さま

    ご確認いただきありがとうございました。

    次回SDK更新の際に修正されるということで、了解いたしました。


    ただ、Flash SDKの更新履歴に
    ================
    1.0.03
    AIRを使ってiPhoneで実行したときに表示されなくなる現象を修正しました。
    ================

    とありまして、iPhone対応のAdobe AIRアプリで開発する予定でしたので
    できれば。。。早めのSDK修正対応を望みます!
  • Live2D SDK for Flash 1.0.04_1で問題を修正いたしました。
    宜しくお願い致します。
  • soaさま

    Flash版SDKを修正いただき、ありがとうございました。
    折をみて確認させていただきます(_ _)
Sign In or Register to comment.